*[data-anim]:not([data-anim="none"]),
*[data-anim]:not([data-anim="none"]) .anim-child {
   animation-fill-mode: both;
	animation-duration: 1s
}

*[data-anim-speed="slow"],
*[data-anim-speed="slow"] .anim-child {
	animation-duration: 1.5s !important
}

*[data-anim-speed="slower"],
*[data-anim-speed="slower"] .anim-child {
	animation-duration: 2s !important
}

*[data-anim-speed="slowest"],
*[data-anim-speed="slowest"] .anim-child {
	animation-duration: 3s !important
}

*[data-anim-speed="fast"],
*[data-anim-speed="fast"] .anim-child {
	animation-duration: .6s !important
}

*[data-anim-speed="faster"],
*[data-anim-speed="faster"] .anim-child {
	animation-duration: 0.3s !important
}@keyframes fadeIn {
	0% {
		opacity: 0;
	}

	100% {
		opacity: 1;
	}
}

*[data-anim="fadeIn"]:not([data-anim-sequential="true"]),
*[data-anim="fadeIn"][data-anim-sequential="true"] .anim-child {
	opacity: 0;
}
	
*[data-anim="fadeIn"]:not([data-anim-sequential="true"]).animate,
*[data-anim="fadeIn"][data-anim-sequential="true"] .anim-child.animate {
	animation-name: fadeIn;
}@keyframes fadeInUp {
	0% {
		opacity: 0;
		transform: translateY(100px);
	}

	100% {
		opacity: 1;
		transform: translateY(0);
	}
}

*[data-anim="fadeInUp"]:not([data-anim-sequential="true"]),
*[data-anim="fadeInUp"][data-anim-sequential="true"] .anim-child {
	opacity: 0;
	transform: translateY(100px);
}
	
*[data-anim="fadeInUp"]:not([data-anim-sequential="true"]).animate,
*[data-anim="fadeInUp"][data-anim-sequential="true"] .anim-child.animate {
	animation-name: fadeInUp;
}